Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 971191 - DVD install option unavailable in TUI
DVD install option unavailable in TUI
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Samantha N. Bueno
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F19Blocker/F19FinalBlocker
  Show dependency treegraph
 
Reported: 2013-06-05 20:47 EDT by Robert Lightfoot
Modified: 2013-06-21 22:30 EDT (History)
11 users (show)

See Also:
Fixed In Version: anaconda-19.30.9-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-21 22:30:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Lightfoot 2013-06-05 20:47:36 EDT
Description of problem:
Performing Serial Console Text Install and Installation Source does not support choice of DVD Media.  And if chosing http, https or ftp no entry of address is suported.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Perform Serial Console text install
2. Only closest mirror isntallation source will will
3.

Actual results:
Can't Specify DVD or http/ftp source

Expected results:
All rpesent options should work.

Additional info:
Comment 1 Samantha N. Bueno 2013-06-06 08:46:34 EDT
IMO this is two different issues--one which is a missing option (DVD install) and one which is apparently a bug (no entry of address supported for the listed install methods).

The missing option I'm not going to bother addressing in this bug as I'm already aware of that.

As for being unable to specify an address for http/ftp, I'm going to need a little more info. Could you please attach log files found in /tmp/ as text/plain attachments? And/or a screenshot....e.g. are you unable to proceed to a certain step in the source repo spoke or does typing not register anything to the console when it asks you to specify? This is how it should proceed: http://sbueno.fedorapeople.org/text-inst.jpg
Comment 2 Robert Lightfoot 2013-06-06 21:56:33 EDT
OK this bug can be reduced to the DVD is not allowed as install source.  With the jpg Samantha posted it makes more sense.
Comment 3 Robert Lightfoot 2013-06-07 07:54:50 EDT
When I saw the continue option, but not http address i opted for quit and never explored deeper until I saw the jpeg.
Comment 4 Adam Williamson 2013-06-10 13:06:07 EDT
Discussed at 2013-06-10 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-10/f19final-blocker-review-4.2013-06-10-16.01.log.txt . Accepted as a blocker per https://fedoraproject.org/wiki/Fedora_19_Alpha_Release_Criteria#DVD_package_source : "When using the DVD image, the installer must be able to use the DVD as a package source.", as applied to the text installer interface.
Comment 5 Samantha N. Bueno 2013-06-18 11:47:46 EDT
Patch posted for review.
Comment 6 Samantha N. Bueno 2013-06-18 17:39:57 EDT
Patch pushed, commit b6ff4b1e6a3cd57c4b152276de92b299763bc5b8 (in f19-branch).
Comment 7 Jan Sedlák 2013-06-20 09:45:01 EDT
It works all right now. DVD textinstall shows (and uses) DVD as a repository.
Comment 8 Fedora Update System 2013-06-20 19:37:08 EDT
anaconda-19.30.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-11350/anaconda-19.30.9-1.fc19
Comment 9 Fedora Update System 2013-06-21 22:30:14 EDT
anaconda-19.30.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.